Subject: Bash package breaking guix build after hash system update

From: Edouard Klein <[email-masked]>
Date: Fri, 22 May 2020 10:55:04 +0200

Hi guys,

My apologies if this has already been reported.

It seems that the hash system update of a few days ago broke guix. When I try to guix pull
or to build guix from master, I get the following error:

-----
building /gnu/store/ra216y72fbkg8rbx41mhr15hcis5i91m-compute-guix-derivation.drv...
Computing Guix derivation for 'x86_64-linux'...  ice-9/psyntax.scm:1585:32: In procedure expand-macro:
Syntax error:
unknown location: %origin: extraneous field initializers (sha256) in form (%origin (method url-fetch) (uri (string-append "mirror:
//gnu/bash/bash-" version ".tar.gz")) (sha256 (base32 "0kgvfwqdcd90waczf4gx39xnrxzijhjrzyzv7s8v4w31qqm0za5l")) (patch-flags (quote
 ("-p0"))) (patches (cons (search-patch "bash-linux-pgrp-pipe.patch") %patch-series-5.0)))
-guix pull: error: You found a bug: the program '/gnu/store/fsch1y8hilmkg21rmgk256j3wfi2w7wk-compute-guix-derivation'
failed to compute the derivation for Guix (version: "d8feee9f18ede0d1ea4d0e4876f09a0dab770295"; system: "x86_64-linux";
host version: "1.1.0"; pull-version: 1).
Please report it by email to <[email-masked]>.
-----

The error is more precise when trying to make (after a make clean; make
clean-go):
-----
gnu/packages/bash.scm:120:13: error: (%origin (method url-fetch) (uri (string-append "mirror://gnu/bash/bash-" version ".tar.gz")) (sha256 (base32 "0kgvfwqdcd90waczf4gx39xnrxzijhjrzyzv7s8v4w31qqm0za5l")) (patch-flags (quote ("-p0"))) (patches (cons (search-patch "bash-linux-pgrp-pipe.patch") %patch-series-5.0))): extraneous field initializers (sha256)
-----

Of course it is also possible that I did something wrong.

Cheers,

Edouard.